IBM Support

Readme for IBM WebSphere Application Server version 6.1.0.31

Product readme


Abstract

Readme documentation for version 6.1.0.31 IBM WebSphere Application Server Express, Base, and Network Deployment products, as well as Web Services Feature Pack Fix Pack 31 and EJB 3.0 Feature Pack Fix Pack 31, including installation-related instructions, prerequisites, highlights, and known issues.

Content

WebSphere Application Server 6.1 Fix Pack 31 (6.1.0.31)

WebSphere Application Client 6.1 Fix Pack 31 (6.1.0.31)
WebSphere Application Server Network Deployment 6.1 Fix Pack 31 (6.1.0.31)
Web Services Feature Pack Fix Pack 31 (6.1.0.31) for WebSphere Application Server 6.1.0.31 and/or WebSphere Application Client 6.1.0.31
EJB 3.0 Feature Pack Fix Pack 31 (6.1.0.31) for WebSphere Application Server 6.1.0.31 and/or WebSphere Application Client 6.1.0.31

Table of Contents


Compilation date: May 10, 2010

© Copyright International Business Machines Corporation 2010. All rights reserved.
US Government Users Restricted Rights – Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.




What is new with Fix Pack 31
One installation of Version 7.0 Update Installer can be used to update all WebSphere Application Server Version 6.1 products installed on the entire machine. There is no longer a need to install one copy for each product install location.

The Update Installer is no longer bundled with version 6.1 Fix Packs. It is available on the Version 6.1 product compact disc or as a download from IBM support site. See section on Prerequisites for installing Fix Pack 31 for more details.

Note: Customers wishing to install Fix Pack 6.1.0.31 must use the latest version of Update Installer, which is available from the Update Installer for WebSphere Application Server V7.0 releases page.

For Web Services Feature Pack users:
Web Services Feature Pack Fix Pack 31 is also available as a separate PAK file for Web Services Feature Pack users. If WebSphere Application Server Version 6.1 Feature Pack for Web Services is installed on your system, you must download and install the WebSphere Application Server Fix Pack 31 and the Web Services Feature Pack Fix Pack 31 together, or your Update Installer will not allow the installation to proceed.

Note when upgrading WebSphere Application Server and Web Services Feature Pack for Application Server as well as Application Client products from version 6.1.0.11 to version 6.1.0.31 or higher level, a mandatory Interim Fix must be installed prior to the installation of Fix Pack 6.1.0.31 or higher. The Update Installer will not allow you to upgrade WebSphere Application Server and Web Services Feature Pack to version 6.1.0.31 from version 6.1.0.11 without first installing these Interim Fixes.

Download Interim Fix PK53084 which is required to be installed while upgrading WebSphere Application Server and Web Services Feature Pack for Application Server version 6.1.0.11 to version 6.1.0.31 or higher level.

Download Interim Fix PK53210 which is required to be installed while upgrading WebSphere Application Client and Web Services Feature Pack for Application Client version 6.1.0.11 to version 6.1.0.31 or higher level.

For EJB 3.0 Feature Pack users:
EJB 3.0 Feature Pack Fix Pack 31 is also available as a separate PAK file for EJB 3.0 Feature Pack users. If WebSphere Application Server Version 6.1 Feature Pack for EJB 3.0 is installed on your system, you must download and install the WebSphere Application Server Fix Pack 31 and the EJB 3.0 Feature Pack Fix Pack 31 together, or your Update Installer will not allow the installation to proceed.

Below are some sample orders of installation to install Web Services Feature Pack Fix Pack 31 and EJB 3.0 Feature Pack Fix Pack 31 with WebSphere Application Server 6.1 in various combinations:

Installing Web Service Feature Pack Fix Pack version 6.1.0.31 on top of Web Services Feature Pack Fix Pack version 6.1.0.11
  1. Install WebSphere Application Server 6.1 GM

  2. Install Web Services Feature Pack GM

  3. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.11 and Web Services Feature Pack Fix Pack 6.1.0.11 together

  4. Use Update Installer to install mandatory Interim Fix PK53084 if using Web Services Feature Pack for WebSphere Application Server and Interim Fix PK53210 if using Web Services Feature Pack for WebSphere Application Server Client

  5. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.31 and Web Services Feature Pack Fix Pack 6.1.0.31 together

Raising WebSphere Application Server, Web Services Feature Pack and EJB 3.0 Feature Pack level to 6.1.0.31 in sequence
  1. Install WebSphere Application Server 6.1 GM

  2. Install Web Services Feature Pack GM (This will raise WebSphere Application Server level to 6.1.0.9 because Web Services Feature Pack installation requires WebSphere Application Server to be at minimum 6.1.0.9 level)

  3. Use Update Installer to install mandatory Interim Fix PK53084

  4. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.13 & Web Services Feature Pack Fix Pack 6.1.0.13 together

  5. Install EJB 3.0 Feature Pack GM (This will also raise WebSphere Application Server level to 6.1.0.13 if still below that level; EJB 3.0 Feature Pack installation requires WebSphere Application Server to be minimum at 6.1.0.13 level)

  6. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.31, Web Services Feature Pack Fix Pack 6.1.0.31 & EJB 3.0 Feature Pack Fix Pack 6.1.0.31 all together

Installing EJB 3.0 Feature Pack Fix Pack 6.1.0.31 alone on WebSphere Application Server 6.1 and raising the WebSphere Application Server and EJB 3.0 Feature Pack Fix Pack level to 6.1.0.31
  1. Install WebSphere Application Server 6.1 GM

  2. Install EJB 3.0 Feature Pack GM (This will raise WebSphere Application Server level to 6.1.0.13 because EJB 3.0 Feature Pack installation requires WebSphere Application Server to be at minimum 6.1.0.13 level)

  3. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.31 & EJB 3.0 Feature Pack Fix Pack 6.1.0.31 together

Installing EJB 3.0 Feature Pack before Web Services Feature Pack and raising the level for all to 6.1.0.31
  1. Install WebSphere Application Server 6.1 GM

  2. Install EJB 3.0 Feature Pack GM (This will raise WebSphere Application Server level to 6.1.0.13 because EJB 3.0 Feature Pack installation requires WebSphere Application Server to be at minimum 6.1.0.13 level)

  3. Install Web Services Feature Pack GM

  4. Use Update Installer to install mandatory Interim Fix PK53084

  5. Use Update Installer to install WebSphere Application Server Fix Pack 6.1.0.31, Web Services Feature Pack Fix Pack 6.1.0.31 and EJB 3.0 Feature Pack Fix Pack 6.1.0.31 all together


Back to top




About Fix Pack 31
Several cumulative fixes are bundled into a single maintenance package for a specific combination of product and platform. Each maintenance package is referred to as version 6.1.0.31.

Installing Fix Pack 31 with version 7.0 Update Installer raises the fix level of your product to version 6.1.0.31.

See the installation instructions in the Steps for installing Fix Pack 31 section for more information.

Fix Packs can be downloaded from the Fix Pack Version 6.1.0.31 download page.

Notes:
  • If a remote Web server plug-in or IBM HTTP Server is installed alongside WebSphere Application Server, you will need to download a separate Fix Pack in order to update the plug-in or HTTP Server to the most current level (if an update is available). All Fix Packs can be found on the Fix Pack Version 6.1.0.31 download page.

  • If the WebSphere Application Server Version 6.1 Feature Pack for Web Services is installed on your system, you must download and install both WebSphere Application Server Fix Pack 31 and Web Services Feature Pack Fix Pack 31 together, or your Update Installer will not allow the installation to proceed.


Back to top




Prerequisites
  • Install the version 6.1 product from the appropriate compact disc or distribution media.

  • Download and install the latest available Update Installer version 7.0 from the Update Installer version 7.0 download page.

  • For customers installing WebSphere Application Server maintenance level 6.1.0.31, it is mandatory to use the latest version of Update Installer version 7.0 to support all version 6.1.0.31 WebSphere Application Server products on the machine.

  • The installation directory will be referred to as updi_install_root in this document.


Back to top




Space requirements
Space requirements vary depending on what you are installing. The size of each download is available on the Support site. For a Fix Pack, you need approximately 600 MB of free space in the system temporary directory (typically /tmp on a Linux® or UNIX® system) and another 600 MB in the file system that hosts the WebSphere Application Server image (typically /usr or /opt on a Linux or UNIX platform), or approximately 1.2 GB of free space on the disk drive where you are installing on a Windows® platform.

Verify that the free space is available before beginning the installation.

Space is also required for backup files in the WebSphere Application Server Product's install_root/properties/version/update/backup directory. The space required is about the same as the size of the Fix Pack, somewhere between 29 MB to 750 MB, varying by product and platform.


Back to top





Steps for installing Fix Pack 31
  1. Run the backupConfig command to back up configuration files. See Backing up and restoring administrative configurations in the on-line Information Center.

  2. Verify required disk space, as described in the readme file for the maintenance package.

  3. After backing up the configuration, and before installing Fix Pack 6.1.0.31, stop all Java™ processes associated with Java SDK shipped with WebSphere Application Server to support Java 1.5 SDK.

  4. Stop all application server processes, the nodeagent process, the deployment manager process, and all server processes that belong to serviceable products, such as the IBM HTTP Server. Stop all Java processes, if necessary. The product might not continue to operate successfully if you attempt to install Fix Pack 6.1.0.31 while WebSphere Application Server-related Java processes are still running.

  5. Download and install the latest available Update Installer version 7.0 from the Update Installer V7.0 download page.
    1. Extract the downloaded Update Installer package to a temporary directory.

    2. Navigate into the UpdateInstaller subdirectory, which was extracted in the previous step.

    3. Install the Update Installer by running the install or install.exe executable.

  6. Obtain downloadable maintenance packages (Fix Pack 31) from the Fix Pack Version 6.1.0.31 download page.

    Important note to Web Services Feature Pack users:
    If the Web Services Feature Pack is installed on your system, you must download and install the WebSphere Application Server Fix Pack 31 and the Web Services Feature Pack Fix Pack 31 together, or your Update Installer will not allow the installation to proceed. Web Services Feature Pack Fix Pack 31 can be downloaded from the Fix Pack Version 6.1.0.31 download page as well.

    Download the packages into the update installer maintenance directory:

    updi_install_root/maintenance

  7. To install downloaded maintenance packages, refer to instructions found in the Update Installer installation documentation directory:

    updi_install_root/docs/readme_updateinstaller.html

    Additional instructions can be found in the Information Center, Installing Maintenance Packages.

    Customers installing Fix Pack for Web Services Feature Pack can find additional information in the Information Center, under the item labeled Feature Pack for Web Services (all operating systems).

    Installation instructions are summarized and repeated here for convenience only, refer to the preceding official published sources.
    1. Open a command shell window and change directories to the updi_install_root install location of the V6.1 Update Installer.

      cd updi_install_root

    2. Use the update command to install the maintenance package that you downloaded into updi_install_root/maintenance directory.

      The Update Installer wizard can run in silent mode without graphical user interface and responsefile can be configured for automatic installation.
      • For Windows®:

        update –silent –options  responsefile

      • For Linux® or UNIX® platforms:

        ./update.sh –silent –options  responsefile

      And, graphical user interface mode is available by running the update command without any parameter:
      • For Windows®:

        update.bat

      • For Linux® or UNIX® platforms:

        ./update.sh

      Refer to the following file for detailed information about using the update command:

      updi_install_root/docs/readme_updateinstaller.html



Back to top




Known side-effects
The following are useful tips:
  • If you are interested in upgrading your WebSphere Application Server, or WebSphere Application Client environments (only), to the latest maintenance level (6.1.0.31), you need to download and install only maintenance Fix Pack 6.1.0.31.

  • If you are interested in upgrading your WebSphere Application Server, or WebSphere Application Client environments, which also have Feature Pack for Web Services installed, you must apply both maintenance Fix Packs to your systems (both WebSphere Application Server Fix Pack 31 and Web Services Feature Pack Fix Pack 31.)

  • If you are wanting to install Fix Pack 6.1.0.31, you must use the latest version of Update Installer 7.0 which can be obtained from the Update Installer V7.0 download page.

  • Upgrading to Web Services Feature Pack Fix Pack 31 from Web Services Feature Pack Fix Pack 11 requires the following mandatory interim fix to be installed prior to installing Fix Pack 6.1.0.31.

    Note: The Update Installer will not allow you to upgrade WebSphere Application Server and Web Services Feature Pack to V6.1.0.31 from V6.1.0.11 without first installing these interim fixes.
    • Download Interim Fix PK53084 which is required to be installed while upgrading WebSphere Application Server and Web Services Feature Pack for Application Server version 6.1.0.11 to version 6.1.0.31 or higher level.

    • Download Interim Fix PK53210 which is required to be installed while upgrading WebSphere Application Client and Web Services Feature Pack for Application Client version 6.1.0.11 to version 6.1.0.31 or higher level.


Back to top




Change history
  • 10 May 2010 Initial publication

Back to top




Additional information
You can find additional information in the WebSphere Application Server Version 6.1 Information Center.

For additional information, refer to Recommended fixes for WebSphere Application Server.

Back to top




Trademarks and service marks
For trademark attribution, visit the IBM Terms of Use Web site.

Back to top



Cross reference information
Segment Product Component Platform Version Edition
Application Servers WebSphere Application Server - Express General AIX, HP-UX, Linux, Solaris, Windows 6.1.0.31
Application Servers WebSphere Application Server Application Client AIX, HP-UX, Linux, Solaris, Windows 6.1.0.31
Application Servers WebSphere Application Server IBM HTTP Server AIX, HP-UX, Linux, Solaris, Windows 6.1.0.31
Application Servers WebSphere Application Server Plug-in AIX, HP-UX, Linux, Solaris, Windows 6.1.0.31

Document information

More support for: WebSphere Application Server
Application Client

Software version: 6.1.0.31

Operating system(s): AIX, HP-UX, Linux, Solaris, Windows

Software edition: Base, Express, Network Deployment

Reference #: 7018557

Modified date: 08 June 2011